# Linux Privilege Escalation Cheatsheet

This cheatsheet is aimed at the OSCP aspirants to help them understand the various methods of Escalating Privilege on Linux based Machines and CTFs with examples. There are multiple ways to perform the same tasks. We have performed and compiled this list based on our experience. Please share this with your connections and direct queries and feedback to [Hacking Articles](https://twitter.com/hackinarticles).


[1.5]: https://raw.githubusercontent.com/Ignitetechnologies/Windows-Privilege-Escalation/main/linked.png
[1.6]: https://www.linkedin.com/company/hackingarticles/
[1.3]: https://raw.githubusercontent.com/Ignitetechnologies/Windows-Privilege-Escalation/main/discord.png
[1.4]: https://discord.com/invite/kyKvXwK4Bk
[1.1]: https://raw.githubusercontent.com/Ignitetechnologies/Windows-Privilege-Escalation/main/twitter.png
[1]: http://www.twitter.com/hackinarticles
# Follow us on [![alt text][1.1]][1] [![alt text][1.3]][1.4] [![alt text][1.5]][1.6]

![image](https://raw.githubusercontent.com/Ignitetechnologies/Linux-Privilege-Escalation/master/privs.png)

1. [Abusing Sudo Rights](https://www.hackingarticles.in/linux-privilege-escalation-using-exploiting-sudo-rights/)
2. [SUID Binaries](https://www.hackingarticles.in/linux-privilege-escalation-using-suid-binaries/)
3. [Capabilities](https://www.hackingarticles.in/linux-privilege-escalation-using-capabilities/)
4. [Lxd Privilege Escalation](https://www.hackingarticles.in/lxd-privilege-escalation/)
5. [Docker Privilege Escalation](https://www.hackingarticles.in/docker-privilege-escalation/)
6. [Exploiting Cron jobs](https://www.hackingarticles.in/linux-privilege-escalation-by-exploiting-cron-jobs/)
7. [Writable /etc/passwd File](https://www.hackingarticles.in/editing-etc-passwd-file-for-privilege-escalation/)
8. [Misconfigured NFS](https://www.hackingarticles.in/linux-privilege-escalation-using-misconfigured-nfs/)
9. [Exploiting Wildcard](https://www.hackingarticles.in/exploiting-wildcard-for-privilege-escalation/)
10. [LD_Preload Privilege Escalation](https://www.hackingarticles.in/linux-privilege-escalation-using-ld_preload/)
11. [Exploiting PATH Variable](https://www.hackingarticles.in/linux-privilege-escalation-using-path-variable/)
12. [Python Library Hijacking](https://www.hackingarticles.in/linux-privilege-escalation-python-library-hijacking/)
13. [Polkit (CVE 2021-3560)](https://www.hackingarticles.in/linux-privilege-escalation-polkit-cve-2021-3560/)
14. [PwnKit (CVE 2021-4034)](https://www.hackingarticles.in/linux-privilege-escalation-pwnkit-cve-2021-4034/)
15. [DirtyPipe (CVE 2022-0847)](https://www.hackingarticles.in/linux-privilege-escalation-dirtypipe-cve-2022-0847/)


